package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * EM端设置过自定义的自动打卡对应的缓存类
 */
public class KQAutoCheckComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_autocheck_set";
	/** sql中的where信息，不要以where开始 */
	protected static String TABLE_WHERE = null;
	/** sql中的order by信息，不要以order by开始 */
	protected static String TABLE_ORDER = "resourceid";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "resourceid";

	@CacheColumn(name = "auto_checkin")
	protected static int auto_checkin;

	@CacheColumn(name = "auto_checkout")
	protected static int auto_checkout;

	@CacheColumn(name = "groupid")
	protected static int groupid;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

  public String getAuto_checkin() {
	  return (String)getRowValue(auto_checkin);
	}
  public String getAuto_checkin(String key) {
    return (String)getValue(auto_checkin,key);
  }

  public String getAuto_checkout() {
    return (String)getRowValue(auto_checkout);
  }
  public String getAuto_checkout(String key) {
    return (String)getValue(auto_checkout,key);
  }

  public String getGroupid() {
    return (String)getRowValue(groupid);
  }
  public String getGroupid(String key) {
    return (String)getValue(groupid,key);
  }

}